> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.whizcozy.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server.

# Process File Ai Job

POST https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/{job_id}/process

Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/internal-jobs/process-file-ai-job-api-v-1-internal-jobs-file-ai-job-id-process-post

## Request

### Path parameters

- `job_id` (integer, required)

### Headers

- `x-whizboard-job-key` (string, optional, nullable)

## Response

### 200

Successful Response

- `data` (FileAIJobProcessResponse, required)
- `status` (string, optional, default: success)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### FileAIJobProcessResponse

- `job_id` (integer, required)
- `file_id` (integer, required)
- `status` (enum, required) — Lifecycle status for file AI background jobs.
  - Allowed values: `PENDING`, `RUNNING`, `SUCCEEDED`, `FAILED`, `CANCELED`
- `document_id` (integer, optional, nullable)
- `markdown_gcs_object_name` (string, optional, nullable)
- `duckdb_gcs_object_name` (string, optional, nullable)
- `extraction_method` (string, optional, nullable)
- `extracted_text_chars` (integer, optional, nullable)
- `structured_row_count` (integer, optional, nullable)
- `structured_source_format` (string, optional, nullable)
- `chunk_count` (integer, optional, nullable)
- `embedding_count` (integer, optional, nullable)
- `category` (string, optional, nullable)
- `category_confidence` (integer, optional, nullable)
- `error_message` (string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### ValidationErrorLocItems

### ValidationErrorCtx

## Examples

**Response**

```json
{
  "data": {
    "job_id": 1,
    "file_id": 1,
    "status": "PENDING",
    "document_id": 1,
    "markdown_gcs_object_name": "string",
    "duckdb_gcs_object_name": "string",
    "extraction_method": "string",
    "extracted_text_chars": 1,
    "structured_row_count": 1,
    "structured_source_format": "string",
    "chunk_count": 1,
    "embedding_count": 1,
    "category": "string",
    "category_confidence": 1,
    "error_message": "string"
  },
  "status": "success"
}
```

**SDK Code**

```python
import requests

url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process"

response = requests.post(url)

print(response.json())
```

```javascript
const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/internal/jobs/file-ai/1/process")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```